{"openapi":"3.0.0","paths":{"/public/v3/companies":{"get":{"operationId":"CompaniesControllerV3_getCompanies","summary":"List companies","parameters":[{"name":"countries","required":false,"in":"query","description":"Comma-separated list of country codes (ISO 3166-1 alpha-2)","schema":{"example":"US,CA","type":"string"}},{"name":"exchanges","required":false,"in":"query","description":"Exchange symbols, without blankspace, to filter by.","schema":{"example":"NasdaqCM,NasdaqGS,NYSE","type":"string"}},{"name":"tickers","required":false,"in":"query","description":"Comma-separated list of company tickers","schema":{"example":"AAPL,AMZN","type":"string"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"isins","required":false,"in":"query","description":"Comma-separated list of ISINs","schema":{"example":"US0378331005,US0231351067","type":"string"}},{"name":"ciks","required":false,"in":"query","description":"Comma-separated list of CIKs (SEC Central Index Keys)","schema":{"example":"0000320193,0001018724","type":"string"}},{"name":"openfigis","required":false,"in":"query","description":"Comma-separated list of OpenFIGI codes (figi, compositeFigi, or shareClassFigi)","schema":{"example":"BBG000B9XRY4,BBG001S5N8V8","type":"string"}},{"name":"updatedBefore","required":false,"in":"query","description":"Query data that was updated before this date (ISO 8601)","schema":{"example":"2024-01-24T12:00:00Z","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"Query data that was updated after this date (ISO 8601)","schema":{"example":"2025-01-12T15:00:00Z","type":"string"}},{"name":"ids","required":false,"in":"query","description":"Comma-separated list of company IDs","schema":{"example":"4024,5025,6026","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedCompaniesResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Companies"],"security":[{"apiKey":[]}]}},"/public/v3/companies/{id}":{"get":{"operationId":"CompaniesControllerV3_getCompanyById","summary":"Retrieve a company","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Companies"],"security":[{"apiKey":[]}]}},"/public/v3/companies/{id}/segments":{"get":{"operationId":"CompaniesControllerV3_getSegments","summary":"List segments","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedSegmentResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Companies"],"security":[{"apiKey":[]},{"apiKey":[]}]}},"/public/v3/events":{"get":{"operationId":"EventsControllerV3_getEvents","summary":"List events","parameters":[{"name":"countries","required":false,"in":"query","description":"Comma-separated list of country codes (ISO 3166-1 alpha-2)","schema":{"example":"US,CA","type":"string"}},{"name":"exchanges","required":false,"in":"query","description":"Exchange symbols, without blankspace, to filter by.","schema":{"example":"NasdaqCM,NasdaqGS,NYSE","type":"string"}},{"name":"tickers","required":false,"in":"query","description":"Comma-separated list of company tickers","schema":{"example":"AAPL,AMZN","type":"string"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"The end date (ISO 8601)","schema":{"example":"2025-01-10T13:00:00Z","type":"string"}},{"name":"startDate","required":false,"in":"query","description":"The start date (ISO 8601)","schema":{"example":"2024-12-12T15:00:00Z","type":"string"}},{"name":"isins","required":false,"in":"query","description":"Comma-separated list of ISINs","schema":{"example":"US0378331005,US0231351067","type":"string"}},{"name":"ciks","required":false,"in":"query","description":"Comma-separated list of CIKs (SEC Central Index Keys)","schema":{"example":"0000320193,0001018724","type":"string"}},{"name":"typeIds","required":false,"in":"query","description":"Comma-separated list of event type ids","schema":{"example":"26,29,35","type":"string"}},{"name":"companyIds","required":false,"in":"query","description":"Comma-separated list of company IDs","schema":{"example":"4024,5025,6026","type":"string"}},{"name":"sortBy","required":false,"in":"query","description":"The field to sort by.","schema":{"default":"id","example":"id","enum":["id","date"],"type":"string"}},{"name":"updatedBefore","required":false,"in":"query","description":"Query data that was updated before this date (ISO 8601)","schema":{"example":"2024-01-24T12:00:00Z","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"Query data that was updated after this date (ISO 8601)","schema":{"example":"2025-01-12T15:00:00Z","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEventResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Events"],"security":[{"apiKey":[]}]}},"/public/v3/events/{id}":{"get":{"operationId":"EventsControllerV3_getEventById","summary":"Retrieve an event","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Events"],"security":[{"apiKey":[]}]}},"/public/v3/events/{id}/summary":{"get":{"operationId":"EventSummaryControllerV3_getSummary","summary":"Retrieve an event summary","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"length","required":false,"in":"query","description":"Length preset for the summary.","schema":{"default":"short","example":"long","enum":["line","short","long"],"type":"string"}},{"name":"plain","required":false,"in":"query","description":"Plain text summary without document sources embedded.","schema":{"default":false,"example":true,"type":"boolean"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SummaryResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Events"],"security":[{"apiKey":[]}]}},"/public/v3/event-types":{"get":{"operationId":"EventTypesControllerV3_getEventTypes","summary":"List event types","parameters":[{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEventTypeResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Event Types"],"security":[{"apiKey":[]}]}},"/public/v3/event-types/{id}":{"get":{"operationId":"EventTypesControllerV3_getEventTypeById","summary":"Retrieve an event type","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventTypeResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Event Types"],"security":[{"apiKey":[]}]}},"/public/v3/documents":{"get":{"operationId":"DocumentControllerV3_getDocuments","summary":"List documents","parameters":[{"name":"countries","required":false,"in":"query","description":"Comma-separated list of country codes (ISO 3166-1 alpha-2)","schema":{"example":"US,CA","type":"string"}},{"name":"exchanges","required":false,"in":"query","description":"Exchange symbols, without blankspace, to filter by.","schema":{"example":"NasdaqCM,NasdaqGS,NYSE","type":"string"}},{"name":"tickers","required":false,"in":"query","description":"Comma-separated list of company tickers","schema":{"example":"AAPL,AMZN","type":"string"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"The end date (ISO 8601)","schema":{"example":"2025-01-10T13:00:00Z","type":"string"}},{"name":"startDate","required":false,"in":"query","description":"The start date (ISO 8601)","schema":{"example":"2024-12-12T15:00:00Z","type":"string"}},{"name":"typeIds","required":false,"in":"query","description":"Comma-separated list of type ids","schema":{"example":"6,13,39","type":"string"}},{"name":"isins","required":false,"in":"query","description":"Comma-separated list of ISINs","schema":{"example":"US0378331005,US0231351067","type":"string"}},{"name":"ciks","required":false,"in":"query","description":"Comma-separated list of CIKs (SEC Central Index Keys)","schema":{"example":"0000320193,0001018724","type":"string"}},{"name":"companyIds","required":false,"in":"query","description":"Comma-separated list of company IDs","schema":{"example":"4024,5025,6026","type":"string"}},{"name":"eventIds","required":false,"in":"query","description":"Comma-separated list of event IDs","schema":{"example":"4042,8934,16342","type":"string"}},{"name":"documentGroupIds","required":false,"in":"query","description":"\n    - 1: Earnings Release\n    - 2: Press Release\n    - 3: Interim Report\n    - 4: Annual Report\n    - 5: Proxy Statement\n    - 6: Registration Statement\n    ","schema":{"example":"3,4","type":"string"}},{"name":"updatedBefore","required":false,"in":"query","description":"Query data that was updated before this date (ISO 8601)","schema":{"example":"2024-01-24T12:00:00Z","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"Query data that was updated after this date (ISO 8601)","schema":{"example":"2025-01-12T15:00:00Z","type":"string"}},{"name":"expand","required":false,"in":"query","description":"Comma-separated list of fields to expand","schema":{"example":"event","enum":["event"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedDocumentResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Documents"],"security":[{"apiKey":[]}]}},"/public/v3/documents/{id}":{"get":{"operationId":"DocumentControllerV3_getDocumentById","summary":"Retrieve a document","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"expand","required":false,"in":"query","description":"Comma-separated list of fields to expand","schema":{"example":"event","enum":["event"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Documents"],"security":[{"apiKey":[]}]}},"/public/v3/documents/reports":{"get":{"operationId":"ReportsControllerV3_getReports","summary":"List reports","parameters":[{"name":"countries","required":false,"in":"query","description":"Comma-separated list of country codes (ISO 3166-1 alpha-2)","schema":{"example":"US,CA","type":"string"}},{"name":"exchanges","required":false,"in":"query","description":"Exchange symbols, without blankspace, to filter by.","schema":{"example":"NasdaqCM,NasdaqGS,NYSE","type":"string"}},{"name":"tickers","required":false,"in":"query","description":"Comma-separated list of company tickers","schema":{"example":"AAPL,AMZN","type":"string"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"The end date (ISO 8601)","schema":{"example":"2025-01-10T13:00:00Z","type":"string"}},{"name":"startDate","required":false,"in":"query","description":"The start date (ISO 8601)","schema":{"example":"2024-12-12T15:00:00Z","type":"string"}},{"name":"typeIds","required":false,"in":"query","description":"Comma-separated list of type ids","schema":{"example":"6,13,39","type":"string"}},{"name":"isins","required":false,"in":"query","description":"Comma-separated list of ISINs","schema":{"example":"US0378331005,US0231351067","type":"string"}},{"name":"ciks","required":false,"in":"query","description":"Comma-separated list of CIKs (SEC Central Index Keys)","schema":{"example":"0000320193,0001018724","type":"string"}},{"name":"companyIds","required":false,"in":"query","description":"Comma-separated list of company IDs","schema":{"example":"4024,5025,6026","type":"string"}},{"name":"eventIds","required":false,"in":"query","description":"Comma-separated list of event IDs","schema":{"example":"4042,8934,16342","type":"string"}},{"name":"documentGroupIds","required":false,"in":"query","description":"\n    - 1: Earnings Release\n    - 2: Press Release\n    - 3: Interim Report\n    - 4: Annual Report\n    - 5: Proxy Statement\n    - 6: Registration Statement\n    ","schema":{"example":"3,4","type":"string"}},{"name":"updatedBefore","required":false,"in":"query","description":"Query data that was updated before this date (ISO 8601)","schema":{"example":"2024-01-24T12:00:00Z","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"Query data that was updated after this date (ISO 8601)","schema":{"example":"2025-01-12T15:00:00Z","type":"string"}},{"name":"expand","required":false,"in":"query","description":"Comma-separated list of fields to expand","schema":{"example":"event","enum":["event"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedDocumentResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Reports"],"security":[{"apiKey":[]}]}},"/public/v3/documents/reports/{id}":{"get":{"operationId":"ReportsControllerV3_getReportById","summary":"Retrieve a report","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"expand","required":false,"in":"query","description":"Comma-separated list of fields to expand","schema":{"example":"event","enum":["event"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Reports"],"security":[{"apiKey":[]}]}},"/public/v3/documents/reports/{id}/pages":{"get":{"operationId":"ReportsControllerV3_getReportPages","summary":"List report pages","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedDocumentDataResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Reports"],"security":[{"apiKey":[]}]}},"/public/v3/documents/reports/{id}/summary":{"get":{"operationId":"ReportSummaryControllerV3_getSummary","summary":"Retrieve a report summary","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"length","required":false,"in":"query","description":"Length preset for the summary.","schema":{"default":"short","example":"long","enum":["line","short","long"],"type":"string"}},{"name":"plain","required":false,"in":"query","description":"Plain text summary without document sources embedded.","schema":{"default":false,"example":true,"type":"boolean"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SummaryResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Reports"],"security":[{"apiKey":[]}]}},"/public/v3/documents/reports/{id}/text":{"get":{"operationId":"ReportsTextControllerV3_getText","summary":"Retrieve a report text","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTextResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Reports"],"security":[{"apiKey":[]}]}},"/public/v3/documents/slides":{"get":{"operationId":"SlidesControllerV3_getSlideDecks","summary":"List slide decks","parameters":[{"name":"countries","required":false,"in":"query","description":"Comma-separated list of country codes (ISO 3166-1 alpha-2)","schema":{"example":"US,CA","type":"string"}},{"name":"exchanges","required":false,"in":"query","description":"Exchange symbols, without blankspace, to filter by.","schema":{"example":"NasdaqCM,NasdaqGS,NYSE","type":"string"}},{"name":"tickers","required":false,"in":"query","description":"Comma-separated list of company tickers","schema":{"example":"AAPL,AMZN","type":"string"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"The end date (ISO 8601)","schema":{"example":"2025-01-10T13:00:00Z","type":"string"}},{"name":"startDate","required":false,"in":"query","description":"The start date (ISO 8601)","schema":{"example":"2024-12-12T15:00:00Z","type":"string"}},{"name":"typeIds","required":false,"in":"query","description":"Comma-separated list of type ids","schema":{"example":"6,13,39","type":"string"}},{"name":"isins","required":false,"in":"query","description":"Comma-separated list of ISINs","schema":{"example":"US0378331005,US0231351067","type":"string"}},{"name":"ciks","required":false,"in":"query","description":"Comma-separated list of CIKs (SEC Central Index Keys)","schema":{"example":"0000320193,0001018724","type":"string"}},{"name":"companyIds","required":false,"in":"query","description":"Comma-separated list of company IDs","schema":{"example":"4024,5025,6026","type":"string"}},{"name":"eventIds","required":false,"in":"query","description":"Comma-separated list of event IDs","schema":{"example":"4042,8934,16342","type":"string"}},{"name":"documentGroupIds","required":false,"in":"query","description":"\n    - 1: Earnings Release\n    - 2: Press Release\n    - 3: Interim Report\n    - 4: Annual Report\n    - 5: Proxy Statement\n    - 6: Registration Statement\n    ","schema":{"example":"3,4","type":"string"}},{"name":"updatedBefore","required":false,"in":"query","description":"Query data that was updated before this date (ISO 8601)","schema":{"example":"2024-01-24T12:00:00Z","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"Query data that was updated after this date (ISO 8601)","schema":{"example":"2025-01-12T15:00:00Z","type":"string"}},{"name":"expand","required":false,"in":"query","description":"Comma-separated list of fields to expand","schema":{"example":"event","enum":["event"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedDocumentResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Slides"],"security":[{"apiKey":[]}]}},"/public/v3/documents/slides/{id}":{"get":{"operationId":"SlidesControllerV3_getSlideDeckById","summary":"Retrieve a slide deck","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"expand","required":false,"in":"query","description":"Comma-separated list of fields to expand","schema":{"example":"event","enum":["event"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Slides"],"security":[{"apiKey":[]}]}},"/public/v3/documents/slides/{id}/pages":{"get":{"operationId":"SlidesControllerV3_getSlideDeckPages","summary":"List slide deck pages","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedDocumentDataResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Slides"],"security":[{"apiKey":[]}]}},"/public/v3/documents/slides/{id}/summary":{"get":{"operationId":"SlidesSummaryControllerV3_getSummary","summary":"Retrieve a slide deck summary","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"length","required":false,"in":"query","description":"Length preset for the summary.","schema":{"default":"short","example":"long","enum":["line","short","long"],"type":"string"}},{"name":"plain","required":false,"in":"query","description":"Plain text summary without document sources embedded.","schema":{"default":false,"example":true,"type":"boolean"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SummaryResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Slides"],"security":[{"apiKey":[]}]}},"/public/v3/documents/slides/{id}/text":{"get":{"operationId":"SlidesTextControllerV3_getText","summary":"Retrieve a slide deck text","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTextResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Slides"],"security":[{"apiKey":[]}]}},"/public/v3/documents/transcripts":{"get":{"operationId":"TranscriptControllerV3_getTranscripts","summary":"List transcripts","parameters":[{"name":"countries","required":false,"in":"query","description":"Comma-separated list of country codes (ISO 3166-1 alpha-2)","schema":{"example":"US,CA","type":"string"}},{"name":"exchanges","required":false,"in":"query","description":"Exchange symbols, without blankspace, to filter by.","schema":{"example":"NasdaqCM,NasdaqGS,NYSE","type":"string"}},{"name":"tickers","required":false,"in":"query","description":"Comma-separated list of company tickers","schema":{"example":"AAPL,AMZN","type":"string"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"The end date (ISO 8601)","schema":{"example":"2025-01-10T13:00:00Z","type":"string"}},{"name":"startDate","required":false,"in":"query","description":"The start date (ISO 8601)","schema":{"example":"2024-12-12T15:00:00Z","type":"string"}},{"name":"typeIds","required":false,"in":"query","description":"Comma-separated list of type ids","schema":{"example":"6,13,39","type":"string"}},{"name":"isins","required":false,"in":"query","description":"Comma-separated list of ISINs","schema":{"example":"US0378331005,US0231351067","type":"string"}},{"name":"ciks","required":false,"in":"query","description":"Comma-separated list of CIKs (SEC Central Index Keys)","schema":{"example":"0000320193,0001018724","type":"string"}},{"name":"companyIds","required":false,"in":"query","description":"Comma-separated list of company IDs","schema":{"example":"4024,5025,6026","type":"string"}},{"name":"eventIds","required":false,"in":"query","description":"Comma-separated list of event IDs","schema":{"example":"4042,8934,16342","type":"string"}},{"name":"documentGroupIds","required":false,"in":"query","description":"\n    - 1: Earnings Release\n    - 2: Press Release\n    - 3: Interim Report\n    - 4: Annual Report\n    - 5: Proxy Statement\n    - 6: Registration Statement\n    ","schema":{"example":"3,4","type":"string"}},{"name":"updatedBefore","required":false,"in":"query","description":"Query data that was updated before this date (ISO 8601)","schema":{"example":"2024-01-24T12:00:00Z","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"Query data that was updated after this date (ISO 8601)","schema":{"example":"2025-01-12T15:00:00Z","type":"string"}},{"name":"expand","required":false,"in":"query","description":"Comma-separated list of fields to expand","schema":{"example":"event","enum":["event"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedDocumentResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Transcripts"],"security":[{"apiKey":[]}]}},"/public/v3/documents/transcripts/{id}":{"get":{"operationId":"TranscriptControllerV3_getTranscriptById","summary":"Retrieve a transcript","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"expand","required":false,"in":"query","description":"Comma-separated list of fields to expand","schema":{"example":"event","enum":["event"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Transcripts"],"security":[{"apiKey":[]}]}},"/public/v3/documents/transcripts/{id}/chapters":{"get":{"operationId":"TranscriptControllerV3_getTranscriptChapters","summary":"List transcript chapters","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"levels","required":false,"in":"query","description":"Comma-separated list of chapter levels to include","schema":{"example":"1,2","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedChapterResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Transcripts"],"security":[{"apiKey":[]}]}},"/public/v3/documents/transcripts/{id}/summary":{"get":{"operationId":"TranscriptSummaryControllerV3_getSummary","summary":"Retrieve a transcript summary","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"length","required":false,"in":"query","description":"Length preset for the summary.","schema":{"default":"short","example":"long","enum":["line","short","long"],"type":"string"}},{"name":"plain","required":false,"in":"query","description":"Plain text summary without document sources embedded.","schema":{"default":false,"example":true,"type":"boolean"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SummaryResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Transcripts"],"security":[{"apiKey":[]}]}},"/public/v3/document-types":{"get":{"operationId":"DocumentTypesControllerV3_getDocumentTypes","summary":"List document types","parameters":[{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedDocumentTypeResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Document Types"],"security":[{"apiKey":[]}]}},"/public/v3/document-types/{id}":{"get":{"operationId":"DocumentTypesControllerV3_getDocumentTypeById","summary":"Retrieve a document type","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTypeResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Document Types"],"security":[{"apiKey":[]}]}},"/public/v3/audio":{"get":{"operationId":"AudioControllerV3_getAudio","summary":"List audio","parameters":[{"name":"countries","required":false,"in":"query","description":"Comma-separated list of country codes (ISO 3166-1 alpha-2)","schema":{"example":"US,CA","type":"string"}},{"name":"exchanges","required":false,"in":"query","description":"Exchange symbols, without blankspace, to filter by.","schema":{"example":"NasdaqCM,NasdaqGS,NYSE","type":"string"}},{"name":"tickers","required":false,"in":"query","description":"Comma-separated list of company tickers","schema":{"example":"AAPL,AMZN","type":"string"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"The end date (ISO 8601)","schema":{"example":"2025-01-10T13:00:00Z","type":"string"}},{"name":"startDate","required":false,"in":"query","description":"The start date (ISO 8601)","schema":{"example":"2024-12-12T15:00:00Z","type":"string"}},{"name":"isins","required":false,"in":"query","description":"Comma-separated list of ISINs","schema":{"example":"US0378331005,US0231351067","type":"string"}},{"name":"ciks","required":false,"in":"query","description":"Comma-separated list of CIKs (SEC Central Index Keys)","schema":{"example":"0000320193,0001018724","type":"string"}},{"name":"companyIds","required":false,"in":"query","description":"Comma-separated list of company IDs","schema":{"example":"4024,5025,6026","type":"string"}},{"name":"eventIds","required":false,"in":"query","description":"Comma-separated list of event IDs","schema":{"example":"4042,8934,16342","type":"string"}},{"name":"updatedBefore","required":false,"in":"query","description":"Query data that was updated before this date (ISO 8601)","schema":{"example":"2024-01-24T12:00:00Z","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"Query data that was updated after this date (ISO 8601)","schema":{"example":"2025-01-12T15:00:00Z","type":"string"}},{"name":"expand","required":false,"in":"query","description":"Comma-separated list of fields to expand","schema":{"example":"event","enum":["event"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedAudioResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Backlog Audio"],"security":[{"apiKey":[]}]}},"/public/v3/audio/{id}":{"get":{"operationId":"AudioControllerV3_getAudioById","summary":"Retrieve an audio","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"expand","required":false,"in":"query","description":"Comma-separated list of fields to expand","schema":{"example":"event","enum":["event"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AudioResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Backlog Audio"],"security":[{"apiKey":[]}]}},"/public/v3/audio/{id}/chapters":{"get":{"operationId":"AudioControllerV3_getAudioChapters","summary":"List audio chapters","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"levels","required":false,"in":"query","description":"Comma-separated list of chapter levels to include","schema":{"example":"1,2","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedChapterResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Backlog Audio"],"security":[{"apiKey":[]}]}},"/public/v3/live":{"get":{"operationId":"LiveControllerV3_getLivePaginated","summary":"List live events","parameters":[{"name":"countries","required":false,"in":"query","description":"Comma-separated list of country codes (ISO 3166-1 alpha-2)","schema":{"example":"US,CA","type":"string"}},{"name":"exchanges","required":false,"in":"query","description":"Exchange symbols, without blankspace, to filter by.","schema":{"example":"NasdaqCM,NasdaqGS,NYSE","type":"string"}},{"name":"tickers","required":false,"in":"query","description":"Comma-separated list of company tickers","schema":{"example":"AAPL,AMZN","type":"string"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"isins","required":false,"in":"query","description":"Comma-separated list of ISINs","schema":{"example":"US0378331005,US0231351067","type":"string"}},{"name":"ciks","required":false,"in":"query","description":"Comma-separated list of CIKs (SEC Central Index Keys)","schema":{"example":"0000320193,0001018724","type":"string"}},{"name":"companyIds","required":false,"in":"query","description":"Comma-separated list of company IDs","schema":{"example":"4024,5025,6026","type":"string"}},{"name":"eventIds","required":false,"in":"query","description":"Comma-separated list of event IDs","schema":{"example":"4042,8934,16342","type":"string"}},{"name":"states","required":false,"in":"query","description":"\n    - notLive\n    - willBeLive\n    - live\n    - liveFailedInterrupted\n    - liveFailedNoAccess\n    - liveFailedNotStarted\n    - processingRecording\n    - processingRecordingFailed\n    - recordingAvailable\n    ","schema":{"example":"willBeLive,live","type":"string"}},{"name":"transcriptVersion","required":false,"in":"query","description":"The version of the live transcript stream","schema":{"default":"1.6","example":"1.6","enum":["1.6","1.7"],"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"The end date (ISO 8601)","schema":{"example":"2025-01-10T13:00:00Z","type":"string"}},{"name":"startDate","required":false,"in":"query","description":"The start date (ISO 8601)","schema":{"example":"2024-12-12T15:00:00Z","type":"string"}},{"name":"updatedBefore","required":false,"in":"query","description":"Query data that was updated before this date (ISO 8601)","schema":{"example":"2024-01-24T12:00:00Z","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"Query data that was updated after this date (ISO 8601)","schema":{"example":"2025-01-12T15:00:00Z","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedLiveResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Live"],"security":[{"apiKey":[]}]}},"/public/v3/live/{id}":{"get":{"operationId":"LiveControllerV3_getLiveById","summary":"Retrieve a live event","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"transcriptVersion","required":false,"in":"query","description":"The version of the live transcript stream","schema":{"default":"1.6","example":"1.6","enum":["1.6","1.7"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LiveResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Live"],"security":[{"apiKey":[]}]}},"/public/v3/live/audio":{"get":{"operationId":"AudioControllerV3_getLiveAudio","summary":"List live audio","parameters":[{"name":"countries","required":false,"in":"query","description":"Comma-separated list of country codes (ISO 3166-1 alpha-2)","schema":{"example":"US,CA","type":"string"}},{"name":"exchanges","required":false,"in":"query","description":"Exchange symbols, without blankspace, to filter by.","schema":{"example":"NasdaqCM,NasdaqGS,NYSE","type":"string"}},{"name":"tickers","required":false,"in":"query","description":"Comma-separated list of company tickers","schema":{"example":"AAPL,AMZN","type":"string"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"isins","required":false,"in":"query","description":"Comma-separated list of ISINs","schema":{"example":"US0378331005,US0231351067","type":"string"}},{"name":"ciks","required":false,"in":"query","description":"Comma-separated list of CIKs (SEC Central Index Keys)","schema":{"example":"0000320193,0001018724","type":"string"}},{"name":"companyIds","required":false,"in":"query","description":"Comma-separated list of company IDs","schema":{"example":"4024,5025,6026","type":"string"}},{"name":"eventIds","required":false,"in":"query","description":"Comma-separated list of event IDs","schema":{"example":"4042,8934,16342","type":"string"}},{"name":"states","required":false,"in":"query","description":"\n    - notLive\n    - willBeLive\n    - live\n    - liveFailedInterrupted\n    - liveFailedNoAccess\n    - liveFailedNotStarted\n    - processingRecording\n    - processingRecordingFailed\n    - recordingAvailable\n    ","schema":{"example":"willBeLive,live","type":"string"}},{"name":"endDate","required":false,"in":"query","description":"The end date (ISO 8601)","schema":{"example":"2025-01-10T13:00:00Z","type":"string"}},{"name":"startDate","required":false,"in":"query","description":"The start date (ISO 8601)","schema":{"example":"2024-12-12T15:00:00Z","type":"string"}},{"name":"updatedBefore","required":false,"in":"query","description":"Query data that was updated before this date (ISO 8601)","schema":{"example":"2024-01-24T12:00:00Z","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"Query data that was updated after this date (ISO 8601)","schema":{"example":"2025-01-12T15:00:00Z","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedLiveAudioResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Live Audio"],"security":[{"apiKey":[]}]}},"/public/v3/live/audio/{id}":{"get":{"operationId":"AudioControllerV3_getLiveAudioById","summary":"Retrieve a live audio","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LiveAudioResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Live Audio"],"security":[{"apiKey":[]}]}},"/public/v3/live/transcripts":{"get":{"operationId":"TranscriptsControllerV3_getLiveTranscripts","summary":"List live transcripts","parameters":[{"name":"countries","required":false,"in":"query","description":"Comma-separated list of country codes (ISO 3166-1 alpha-2)","schema":{"example":"US,CA","type":"string"}},{"name":"exchanges","required":false,"in":"query","description":"Exchange symbols, without blankspace, to filter by.","schema":{"example":"NasdaqCM,NasdaqGS,NYSE","type":"string"}},{"name":"tickers","required":false,"in":"query","description":"Comma-separated list of company tickers","schema":{"example":"AAPL,AMZN","type":"string"}},{"name":"limit","required":false,"in":"query","description":"The maximum number of items to return in a single request.","schema":{"minimum":1,"maximum":500,"default":10,"example":10,"type":"number"}},{"name":"cursor","required":false,"in":"query","description":"A unique identifier pointing to the starting position for the next set of results.","schema":{"minimum":0,"default":0,"example":2432,"type":"number"}},{"name":"direction","required":false,"in":"query","description":"The direction of the sort order (id field).","schema":{"default":"asc","example":"asc","enum":["asc","desc"],"type":"string"}},{"name":"isins","required":false,"in":"query","description":"Comma-separated list of ISINs","schema":{"example":"US0378331005,US0231351067","type":"string"}},{"name":"ciks","required":false,"in":"query","description":"Comma-separated list of CIKs (SEC Central Index Keys)","schema":{"example":"0000320193,0001018724","type":"string"}},{"name":"companyIds","required":false,"in":"query","description":"Comma-separated list of company IDs","schema":{"example":"4024,5025,6026","type":"string"}},{"name":"eventIds","required":false,"in":"query","description":"Comma-separated list of event IDs","schema":{"example":"4042,8934,16342","type":"string"}},{"name":"states","required":false,"in":"query","description":"\n    - notLive\n    - willBeLive\n    - live\n    - liveFailedInterrupted\n    - liveFailedNoAccess\n    - liveFailedNotStarted\n    - processingRecording\n    - processingRecordingFailed\n    - recordingAvailable\n    ","schema":{"example":"willBeLive,live","type":"string"}},{"name":"transcriptVersion","required":false,"in":"query","description":"The version of the live transcript stream","schema":{"default":"1.6","example":"1.6","enum":["1.6","1.7"],"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"The end date (ISO 8601)","schema":{"example":"2025-01-10T13:00:00Z","type":"string"}},{"name":"startDate","required":false,"in":"query","description":"The start date (ISO 8601)","schema":{"example":"2024-12-12T15:00:00Z","type":"string"}},{"name":"updatedBefore","required":false,"in":"query","description":"Query data that was updated before this date (ISO 8601)","schema":{"example":"2024-01-24T12:00:00Z","type":"string"}},{"name":"updatedAfter","required":false,"in":"query","description":"Query data that was updated after this date (ISO 8601)","schema":{"example":"2025-01-12T15:00:00Z","type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedLiveTranscriptResponseDto"}}}},"400":{"description":"","content":{"application/json":{"schema":{"properties":{"error":{"example":"Bad Request","type":"string"},"message":{"items":{"properties":{"field":{"example":"country","type":"string"},"message":{"example":"country must be a valid ISO31661 Alpha2 code","type":"string"}},"type":"object"},"type":"array"},"statusCode":{"example":400,"type":"number"}},"type":"object"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}}},"tags":["Live Transcripts"],"security":[{"apiKey":[]}]}},"/public/v3/live/transcripts/{id}":{"get":{"operationId":"TranscriptsControllerV3_getLiveTranscriptById","summary":"Retrieve a live transcript","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"number"}},{"name":"transcriptVersion","required":false,"in":"query","description":"The version of the live transcript stream","schema":{"default":"1.6","example":"1.6","enum":["1.6","1.7"],"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LiveTranscriptResponseDto"}}}},"401":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Unauthorized","type":"string"},"statusCode":{"example":401,"type":"number"}},"type":"object"}}}},"403":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Forbidden","type":"string"},"statusCode":{"example":403,"type":"number"}},"type":"object"}}}},"404":{"description":"","content":{"application/json":{"schema":{"properties":{"message":{"example":"Not Found","type":"string"},"statusCode":{"example":404,"type":"number"}},"type":"object"}}}}},"tags":["Live Transcripts"],"security":[{"apiKey":[]}]}}},"info":{"title":"Quartr Public API","description":"The Quartr Public API","version":"3.0","contact":{}},"tags":[{"name":"Companies","description":""},{"name":"Events","description":""},{"name":"Event Types","description":""},{"name":"Documents","description":""},{"name":"Document Types","description":""},{"name":"Reports","description":""},{"name":"Slides","description":""},{"name":"Transcripts","description":""},{"name":"Backlog Audio","description":""},{"name":"Live","description":""},{"name":"Live Audio","description":""},{"name":"Live Transcripts","description":""}],"servers":[{"url":"https://api.quartr.com"}],"components":{"securitySchemes":{"apiKey":{"in":"header","name":"x-api-key","type":"apiKey"}},"schemas":{"TickerDto":{"type":"object","properties":{"ticker":{"type":"string"},"exchange":{"type":"string"}},"required":["ticker","exchange"]},"CompanyDto":{"type":"object","properties":{"country":{"type":"string","example":"US"},"displayName":{"type":"string","example":"Apple"},"id":{"type":"number","example":4742},"name":{"type":"string","example":"Apple Inc."},"tickers":{"example":[{"ticker":"AAPL","exchange":"BASE"},{"ticker":"AAPL","exchange":"NasdaqGS"}],"type":"array","items":{"$ref":"#/components/schemas/TickerDto"}},"isins":{"example":["US0378331005"],"type":"array","items":{"type":"string"}},"cik":{"type":"string","example":"0000320193"},"openfigi":{"example":["BBG001S5N8V8"],"description":"OpenFIGI share class identifiers (global share class level)","type":"array","items":{"type":"string"}},"updatedAt":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2021-09-01T12:00:00.000Z"},"backlinkUrl":{"type":"string","example":"https://example.com"}},"required":["country","id","name","updatedAt","createdAt","backlinkUrl"]},"CursorPagination":{"type":"object","properties":{"nextCursor":{"type":"number","nullable":true,"description":"A unique identifier indicating the position to continue fetching the next set of results in subsequent requests.","example":10}},"required":["nextCursor"]},"PaginatedCompaniesResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/CompanyDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"CompanyResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/CompanyDto"}},"required":["data"]},"SegmentItemDto":{"type":"object","properties":{"name":{"type":"string","example":"Automotive"},"value":{"type":"number","example":171605}}},"SegmentDto":{"type":"object","properties":{"companyId":{"type":"number","example":4742},"fiscalYear":{"type":"number","example":2024},"reportDate":{"format":"date-time","type":"string","example":"2025-03-19T15:00:00.000Z"},"segmentItem":{"type":"string","example":"Revenue"},"segmentCategory":{"type":"string","example":"Business Area"},"total":{"type":"number","example":187442},"totalUnit":{"type":"string","example":"MUSD"},"other":{"type":"string","example":"1.0 (0.0%)"},"items":{"example":[{"name":"Automotive","value":171605},{"name":"GM Financial","value":15875},{"name":"Cruise","value":257},{"name":"Eliminations/reclassifications","value":-296}],"type":"array","items":{"$ref":"#/components/schemas/SegmentItemDto"}},"itemUnit":{"type":"string","example":"MUSD"},"createdAt":{"format":"date-time","type":"string","example":"2025-04-15T15:00:00.000Z"},"updatedAt":{"format":"date-time","type":"string","example":"2025-04-15T15:00:00.000Z"}},"required":["companyId","createdAt","updatedAt"]},"PaginatedSegmentResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/SegmentDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"EventDto":{"type":"object","properties":{"companyId":{"type":"number","example":4742},"date":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"},"confirmed":{"type":"boolean","example":true,"description":"Whether the event's datetime is confirmed"},"id":{"type":"number","example":128301},"title":{"type":"string","example":"Q1 2024"},"typeId":{"type":"number","example":26},"fiscalYear":{"type":"number","example":2024},"fiscalPeriod":{"type":"string","example":"Q1"},"backlinkUrl":{"type":"string","example":"quartr.com/companies/apple"},"language":{"type":"string","example":"en"},"updatedAt":{"format":"date-time","type":"string","example":"2021-09-19T15:00:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"}},"required":["companyId","date","confirmed","id","title","typeId","backlinkUrl","language","updatedAt","createdAt"]},"PaginatedEventResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/EventDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"EventResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EventDto"}},"required":["data"]},"SummarySource":{"type":"object","properties":{"sourceId":{"type":"string","example":"documentData_4742_15110876_1","description":"Id used for linking to the source document to tags embedded in the summary"},"documentId":{"type":"number","example":3456},"page":{"type":"number","example":2,"description":"Page number or timestamp in seconds depending on the document type"},"timestamp":{"type":"number","example":110,"description":"Timestamp in seconds"},"typeId":{"type":"number","example":10,"description":"Document type id"}},"required":["documentId","typeId"]},"SummaryDto":{"type":"object","properties":{"id":{"type":"number","example":1343},"summary":{"type":"string","example":"Q2 FY24 saw revenue decline and net loss, but IPO-driven debt reduction strengthened the balance sheet.<document-source>documentData_20677_20051795_17</document-source><document-source>documentData_20677_20051818_5</document-source>"},"sources":{"type":"array","items":{"$ref":"#/components/schemas/SummarySource"}},"createdAt":{"format":"date-time","type":"string","example":"2025-01-01T00:00:00.000Z"},"updatedAt":{"format":"date-time","type":"string","example":"2025-01-01T00:00:00.000Z"}},"required":["id","summary","sources","createdAt","updatedAt"]},"SummaryResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/SummaryDto"}},"required":["data"]},"EventTypeDto":{"type":"object","properties":{"id":{"type":"number","example":26},"name":{"type":"string","example":"Q1"},"parent":{"type":"string","example":"Earnings call"},"updatedAt":{"format":"date-time","type":"string","example":"2021-09-19T15:00:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"}},"required":["id","updatedAt","createdAt"]},"PaginatedEventTypeResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/EventTypeDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"EventTypeResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/EventTypeDto"}},"required":["data"]},"ExpandedEventDto":{"type":"object","properties":{"title":{"type":"string","example":"Q1 2024 Earnings call"},"typeId":{"type":"number","example":26},"fiscalYear":{"type":"number","example":2024},"fiscalPeriod":{"type":"string","example":"Q1"},"language":{"type":"string","example":"en"},"date":{"format":"date-time","type":"string","example":"2024-01-15T10:00:00.000Z"},"confirmed":{"type":"boolean","example":true,"description":"Whether the event's datetime is confirmed"}},"required":["confirmed"]},"DocumentDto":{"type":"object","properties":{"companyId":{"type":"number","example":4742},"eventId":{"type":"number","example":128301},"fileUrl":{"type":"string","example":"https://quartr.com/file.pdf"},"id":{"type":"number","example":432907},"typeId":{"type":"number","example":7},"updatedAt":{"format":"date-time","type":"string","example":"2021-09-19T15:00:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"},"event":{"description":"Expanded event details (available when ?expand=event)","allOf":[{"$ref":"#/components/schemas/ExpandedEventDto"}]}},"required":["fileUrl","id","typeId","updatedAt","createdAt"]},"PaginatedDocumentResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DocumentDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"DocumentResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/DocumentDto"}},"required":["data"]},"DocumentDataDto":{"type":"object","properties":{"id":{"type":"number","example":55},"page":{"type":"number","example":1},"pdfUrl":{"type":"string","example":"https://quartr.com/file.pdf"},"imageUrl":{"type":"string","example":"https://quartr.com/image.png"},"updatedAt":{"format":"date-time","type":"string","example":"2021-09-19T15:00:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"}},"required":["id","page","pdfUrl","imageUrl","updatedAt","createdAt"]},"PaginatedDocumentDataResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DocumentDataDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"DocumentTextDto":{"type":"object","properties":{"documentId":{"type":"number","example":432907},"textUrl":{"type":"string","example":"https://files.quartr.com/document-artifacts/432907/markdown/ab12.md?ref=UXVhcnRy","description":"CDN link to the parsed document text (Markdown)."},"updatedAt":{"format":"date-time","type":"string","example":"2021-09-19T15:00:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"}},"required":["documentId","textUrl","updatedAt","createdAt"]},"DocumentTextResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/DocumentTextDto"}},"required":["data"]},"ChapterDto":{"type":"object","properties":{"id":{"type":"number","example":1234},"title":{"type":"string","example":"Q&A"},"startTimestamp":{"type":"number","example":1513},"endTimestamp":{"type":"number","example":3936},"level":{"type":"number","example":1},"updatedAt":{"format":"date-time","type":"string","example":"2021-09-19T15:00:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"}},"required":["id","title","startTimestamp","endTimestamp","level","updatedAt","createdAt"]},"PaginatedChapterResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/ChapterDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"DocumentTypeDto":{"type":"object","properties":{"id":{"type":"number","example":7},"name":{"type":"string","example":"Quarterly Report"},"description":{"type":"string","example":"General form for quarterly reports under Section 13 or 15(d)"},"form":{"type":"string","example":"10-Q"},"updatedAt":{"format":"date-time","type":"string","example":"2024-04-09T14:19:21.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2024-04-05T14:19:21.000Z"},"category":{"type":"string","example":"Report"},"documentGroupId":{"type":"number","example":1}},"required":["id","name","updatedAt","createdAt","category"]},"PaginatedDocumentTypeResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/DocumentTypeDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"DocumentTypeResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/DocumentTypeDto"}},"required":["data"]},"AudioMetadataDto":{"type":"object","properties":{"size":{"type":"string","example":"200.00 MB"},"duration":{"type":"number","example":19000.1,"description":"Duration in seconds"},"encoding":{"type":"string","example":"7bit"},"mimetype":{"type":"string","example":"audio/mpeg"}}},"AudioDto":{"type":"object","properties":{"companyId":{"type":"number","example":4742},"eventId":{"type":"number","example":128301},"fileUrl":{"type":"string","example":"https://quartr.com/file.mp3"},"id":{"type":"number","example":123964},"qna":{"type":"number","example":1510},"streamUrl":{"type":"string","example":"https://quartr.com/file.m3u8"},"audioMetadata":{"$ref":"#/components/schemas/AudioMetadataDto"},"updatedAt":{"format":"date-time","type":"string","example":"2024-10-08T09:00:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2024-10-03T09:00:00.000Z"},"event":{"description":"Expanded event details (available when ?expand=event)","allOf":[{"$ref":"#/components/schemas/ExpandedEventDto"}]}},"required":["companyId","eventId","id","updatedAt","createdAt"]},"PaginatedAudioResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/AudioDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"AudioResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/AudioDto"}},"required":["data"]},"LiveDto":{"type":"object","properties":{"id":{"type":"number","example":127537},"eventId":{"type":"number","example":128301},"companyId":{"type":"number","example":4742},"date":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"},"updatedAt":{"format":"date-time","type":"string","example":"2021-09-15T15:02:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2021-05-15T15:00:00.000Z"},"wentLiveAt":{"format":"date-time","type":"string","example":"2021-09-15T15:02:00.000Z"},"state":{"type":"string","example":"recordingAvailable"},"audio":{"type":"string","example":"https://quartr.com/file.mp3"},"transcript":{"type":"string","example":"https://quartr.com/file.json"}},"required":["id","eventId","companyId","date","updatedAt","createdAt"]},"PaginatedLiveResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/LiveDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"LiveResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/LiveDto"}},"required":["data"]},"LiveAudioDto":{"type":"object","properties":{"id":{"type":"number","example":127537},"eventId":{"type":"number","example":128301},"companyId":{"type":"number","example":4742},"date":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"},"updatedAt":{"format":"date-time","type":"string","example":"2021-09-15T15:02:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2021-05-15T15:00:00.000Z"},"wentLiveAt":{"format":"date-time","type":"string","example":"2021-09-15T15:02:00.000Z"},"state":{"type":"string","example":"recordingAvailable"},"audio":{"type":"string","example":"https://quartr.com/file.mp3"}},"required":["id","eventId","companyId","date","updatedAt","createdAt"]},"PaginatedLiveAudioResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/LiveAudioDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"LiveAudioResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/LiveAudioDto"}},"required":["data"]},"LiveTranscriptDto":{"type":"object","properties":{"id":{"type":"number","example":127537},"eventId":{"type":"number","example":128301},"companyId":{"type":"number","example":4742},"date":{"format":"date-time","type":"string","example":"2021-09-15T15:00:00.000Z"},"updatedAt":{"format":"date-time","type":"string","example":"2021-09-15T15:02:00.000Z"},"createdAt":{"format":"date-time","type":"string","example":"2021-05-15T15:00:00.000Z"},"wentLiveAt":{"format":"date-time","type":"string","example":"2021-09-15T15:02:00.000Z"},"state":{"type":"string","example":"recordingAvailable"},"transcript":{"type":"string","example":"https://quartr.com/file.json"}},"required":["id","eventId","companyId","date","updatedAt","createdAt"]},"PaginatedLiveTranscriptResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/LiveTranscriptDto"}},"pagination":{"$ref":"#/components/schemas/CursorPagination"}},"required":["data","pagination"]},"LiveTranscriptResponseDto":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/LiveTranscriptDto"}},"required":["data"]}}}}